aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorchriseth <chris@ethereum.org>2017-10-04 20:56:24 +0800
committerGitHub <noreply@github.com>2017-10-04 20:56:24 +0800
commitf6fb7d96d3eb0d45ee93fbe25f01cb9f06b28b78 (patch)
tree7816b6b544ea0794032deed0f14e15f0dfc8057b /scripts
parent22f112fc13e8d609435e53e18a66d0b0664b5c44 (diff)
parentfefdfc0711e1637df91ef0ec813af0c30ad53af6 (diff)
downloaddexon-solidity-f6fb7d96d3eb0d45ee93fbe25f01cb9f06b28b78.tar
dexon-solidity-f6fb7d96d3eb0d45ee93fbe25f01cb9f06b28b78.tar.gz
dexon-solidity-f6fb7d96d3eb0d45ee93fbe25f01cb9f06b28b78.tar.bz2
dexon-solidity-f6fb7d96d3eb0d45ee93fbe25f01cb9f06b28b78.tar.lz
dexon-solidity-f6fb7d96d3eb0d45ee93fbe25f01cb9f06b28b78.tar.xz
dexon-solidity-f6fb7d96d3eb0d45ee93fbe25f01cb9f06b28b78.tar.zst
dexon-solidity-f6fb7d96d3eb0d45ee93fbe25f01cb9f06b28b78.zip
Merge pull request #2990 from ethereum/someMoreSMTStuff
Basic SMT tests.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/install_deps.sh17
1 files changed, 8 insertions, 9 deletions
diff --git a/scripts/install_deps.sh b/scripts/install_deps.sh
index 3a1abe10..01dee81d 100755
--- a/scripts/install_deps.sh
+++ b/scripts/install_deps.sh
@@ -256,15 +256,6 @@ case $(uname -s) in
#------------------------------------------------------------------------------
# Ubuntu
#
-# TODO - I wonder whether all of the Ubuntu-variants need some special
-# treatment?
-#
-# TODO - We should also test this code on Ubuntu Server, Ubuntu Snappy Core
-# and Ubuntu Phone.
-#
-# TODO - Our Ubuntu build is only working for amd64 and i386 processors.
-# It would be good to add armel, armhf and arm64.
-# See https://github.com/ethereum/webthree-umbrella/issues/228.
#------------------------------------------------------------------------------
Ubuntu)
@@ -320,6 +311,14 @@ case $(uname -s) in
libboost-all-dev \
"$install_z3"
if [ "$CI" = true ]; then
+ # install Z3 from PPA if the distribution does not provide it
+ if ! dpkg -l libz3-dev > /dev/null 2>&1
+ then
+ sudo apt-add-repository -y ppa:hvr/z3
+ sudo apt-get -y update
+ sudo apt-get -y install libz3-dev
+ fi
+
# Install 'eth', for use in the Solidity Tests-over-IPC.
# We will not use this 'eth', but its dependencies
sudo add-apt-repository -y ppa:ethereum/ethereum